Page MenuHomePhabricator

New precache endpoint isn't reporting its metrics correctly
Closed, ResolvedPublic

Description

Scores going through the /precache endpoint aren't showing up under "Precaching scores returned". Needs a metrics tweak.

Event Timeline

awight triaged this task as Normal priority.Feb 21 2018, 5:19 PM
awight created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2018, 5:19 PM

scoring_system.py, line 48:

if not request.precache:
    self.metrics_collector.scores_request(request, duration)
else:
    self.metrics_collector.precache_request(request, duration)
awight claimed this task.Feb 21 2018, 5:27 PM
awight moved this task from Active to Review on the Scoring-platform-team (Current) board.

Mentioned in SAL (#wikimedia-operations) [2018-02-21T21:15:26Z] <awight@tin> Started deploy [ores/deploy@7bbf21f]: T187914 on the ores* cluster

Mentioned in SAL (#wikimedia-operations) [2018-02-21T21:28:28Z] <awight@tin> Finished deploy [ores/deploy@7bbf21f]: T187914 on the ores* cluster (duration: 13m 03s)

Mentioned in SAL (#wikimedia-operations) [2018-02-21T21:29:05Z] <awight@tin> Started deploy [ores/deploy@addba9c]: T187914 on the scb* cluster

Mentioned in SAL (#wikimedia-operations) [2018-02-21T21:39:07Z] <awight@tin> Finished deploy [ores/deploy@addba9c]: T187914 on the scb* cluster (duration: 10m 02s)

awight mentioned this in Unknown Object (Phame Post).May 2 2018, 6:41 PM
awight mentioned this in Unknown Object (Phame Post).
awight mentioned this in Unknown Object (Phame Post).
awight closed this task as Resolved.May 2 2018, 6:48 PM